Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface ReportInfo

    public interface ReportInfo

Interface `ReportInfo` represents a report, Each report contains one or more report sheets.
Via `ReportInfo` users can access collection of report sheets, parameters, etc.

Method Summary
`boolean` | `canExportDHTMLResult()` Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value
`boolean` | `canExportDHTMLResult(int status)` Checks if the report can export to DHTML result (.rsd result), this type of result can re-run as DHTML.
`java.lang.String[]` | `getAllDataSource()` Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value
`java.lang.String[]` | `getAllDataSource(int status)` Gets all data source names a report uses.
`java.util.Vector` | `getAvailableGroupFields()` Deprecated. You will not need to replace value options with available group fields when parameter is column. Example: You can comment the line in getRptDescPage.jsp like
                                    //Vector grpCols = rptInfo.getAvailableGroupFields();
And you have to modify the Java code in getRptDescPage.jsp from
     <%
                            if (desc.isColumn() && grpCols != null) {
     %>
                            <select name="<%= APIConst.TAG_PARAM_PREFIX + desc.getName()%>" size="1">
     <%               int sz1 = grpCols.size();
                            for (int i1 = 0; i1 < sz1; i1++) {
                                    String s = (String)grpCols.elementAt(i1);
to become
     <%
                            if (desc.isColumn() ) {
     %>
                            <select name="<%= APIConst.TAG_PARAM_PREFIX + desc.getName()%>" size="1">
     <%               Vector v = desc.getValueOptions(Locale.getDefault());
                            int sz1 = v.size();
                            for (int i1 = 0; i1 < sz1; i1++) {
                                    String s = (String)v.elementAt(i1);
`java.util.Vector` | `getAvailableLanguages()` Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value
`java.util.Vector` | `getAvailableLanguages(int status)` Gets all of the Languages that the current report supports.
`java.util.Vector` | `getBooleanColumns()` Returns boolean value fields of the report.
`ReportSheetInfo` | `getCurrentReportSheet()` Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value
`ReportSheetInfo` | `getCurrentReportSheet(int status)` Returns the current report sheet information.
`java.lang.String` | `getDefaultStyleGroupName()` Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value
`java.lang.String` | `getDefaultStyleGroupName(int status)` Gets the default style group name.
`java.util.Vector` | `getOrderOfParams()` Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value
`java.util.Vector` | `getOrderOfParams(int status)` Returns the order of the parameters of the report.
`java.util.List<ParamInfo>` | `getOriginalParamInfos(java.util.List<java.lang.String> rptSheets, java.util.Map paramChangeProp)` Returns the original parameters of this report.
`java.lang.String` | `getParamEngineId()` Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value
`java.lang.String` | `getParamEngineId(int status)` Returns the ID of the engine which generates parameters.
`java.util.Vector` | `getParamInfos()` Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value
`java.util.Vector` | `getParamInfos(int status)` Returns the parameters of this report.
`java.util.List<ParamInfo>` | `getParamInfos(java.util.List<java.lang.String> rptSheets, java.util.Map paramChangeProp)` Returns the parameters of this report.
`java.util.Vector` | `getParamInfosByParam(java.lang.String paramName, java.lang.String value, java.lang.String paramEngineId)` Returns the parameters of this report according to the name and the value of a specific parameter.
`java.util.Vector` | `getParamInfosByParam(java.lang.String paramName, java.lang.String value, java.lang.String paramEngineId, int status)` Returns the parameters of this report according to the name and the value of a specific parameter.
`java.util.Vector` | `getParamInfosByValue(java.lang.String paramName, java.lang.String[] values, java.lang.String paramEngineId, int status)` Returns the parameters of this report according to the name and the value of a specific parameter.
`java.util.Vector` | `getParamInfosByValue(java.lang.String paramName, java.lang.String value, java.lang.String paramEngineId)` Returns the parameters of this report according to the name and the value of a specific parameter.
`java.util.Vector` | `getParamInfosByValue(java.lang.String paramName, java.lang.String value, java.lang.String paramEngineId, int status)` Returns the parameters of this report according to the name and the value of a specific parameter.
`java.util.Vector<CRDInfoKey>` | `getQueryInfos()` Returns all queries which are used in the report.
`java.util.Vector` | `getReportFontFiles()` Gets the font file names of a report.
`java.util.Vector` | `getReportImageFiles()` Gets the image file names of a report.
`java.util.Vector` | `getReportSheetInfos()` Deprecated. As of 8.0, replaced by `getReportSheetInfos(int)` with status APIConst.RPT_STATUS_ALL
`java.util.Vector` | `getReportSheetInfos(int status)` Returns specified status sheets of this report.
`java.util.Vector` | `getReportSubreports()` Gets the sub-report names of a report.
`java.util.Map` | `getSheetParamNames(int status)` Returns all sheets and their parameters relationship Map
`java.util.Vector` | `getStyleGroupInfos()` Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value
`java.util.Vector` | `getStyleGroupInfos(int status)` Returns the style group of the report.
`boolean` | `hasPageSecurity()` Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value
`boolean` | `hasPageSecurity(int status)` Checks if the report has page security.
`boolean` | `hasReportParam()` Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value
`boolean` | `hasReportParam(int status)` checks if any sheets in a report have parameters.
`boolean` | `isPortletPreferred()` If the report contains only one report sheet, and the report sheet is portlet preferred.
`void` | `removeParamEngineById(java.lang.String paramEngineId)` Removes engine object according to the ID of the engine which generates parameters.
`java.lang.String` | `validateParameter(int status, java.util.Properties prop)` Checks parameters validation, if all parameters pass the validation return null, otherwise return invalidation information.

Method Detail

### getReportSheetInfos

    java.util.Vector getReportSheetInfos()
                                         throws RptServerException

  Deprecated. As of 8.0, replaced by `getReportSheetInfos(int)` with status APIConst.RPT_STATUS_ALL

  Returns all sheets of this report.

  Returns:
    all sheets of the report. The Vector contains ReportSheetInfo objects.
  Throws:
    `RptServerException` - if an RptServerException occurs.
  See Also:
    `ReportSheetInfo`

### getReportSheetInfos

    java.util.Vector getReportSheetInfos(int status)
                                         throws RptServerException

  Returns specified status sheets of this report.

  Parameters:
    `status` - the status indicating which status sheet will be included in the result - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    sheets of the report. The Vector contains ReportSheetInfo objects.
  Throws:
    `RptServerException` - if an RptServerException occurs.
  See Also:
    `ReportSheetInfo`

### getParamInfos

    java.util.Vector getParamInfos()
                                   throws RptServerException

  Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value

  Returns the parameters of this report.

  Returns:
    the parameters of this report. The Vector contains ParamInfo objects.
  Throws:
    `RptServerException` - if an RptServerException occurs.
  See Also:
    `ParamInfo`

### getParamInfos

    java.util.Vector getParamInfos(int status)
                                   throws RptServerException

  Returns the parameters of this report.

  Parameters:
    `status` - the status indicating sub reports of this report - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    the parameters of this report. The Vector contains ParamInfo objects.
  Throws:
    `RptServerException` - if an RptServerException occurs.
  See Also:
    `ParamInfo`

### getParamInfos

    java.util.List<ParamInfo> getParamInfos(java.util.List<java.lang.String> rptSheets,
                                            java.util.Map paramChangeProp)
                                            throws RptServerException

  Returns the parameters of this report.

  Parameters:
    `rptSheets` - the report sheets names
    `paramChangeProp` - the property about parameter(s) changing information
  Returns:
    the parameters of this report.
  Throws:
    `RptServerException`

### getOriginalParamInfos

    java.util.List<ParamInfo> getOriginalParamInfos(java.util.List<java.lang.String> rptSheets,
                                                    java.util.Map paramChangeProp)
                                                    throws RptServerException

  Returns the original parameters of this report.

  Parameters:
    `rptSheets` - the report sheets names
    `paramChangeProp` - the property about parameter(s) changing information
  Returns:
    the original parameters of this report.
  Throws:
    `RptServerException`

### getParamInfosByParam

    java.util.Vector getParamInfosByParam(java.lang.String paramName,
                                          java.lang.String value,
                                          java.lang.String paramEngineId)
                                          throws RptServerException

  Returns the parameters of this report according to the name and the value of a specific parameter. If the value is null, it applies the default value of the specific parameter; if the name is null, the method will return all first level parameters. If there are no other parameters depending on the specific parameter, the method will return all first level parameters; otherwise it will return all parameters that depend on the specific parameter.

  Parameters:
    `paramName` - the parameter name.
    `value` - the value of the parameter.
    `paramEngineId` - the ID of the engine which generates the parameters.
  Returns:
    the parameters of this report.
  Throws:
    `RptServerException` - if an RptServerException occurs.
  See Also:
    `ParamInfo`

### getParamInfosByParam

    java.util.Vector getParamInfosByParam(java.lang.String paramName,
                                          java.lang.String value,
                                          java.lang.String paramEngineId,
                                          int status)
                                          throws RptServerException

  Returns the parameters of this report according to the name and the value of a specific parameter. If the value is null, it applies the default value of the specific parameter; if the name is null, the method will return all first level parameters. If there are no other parameters that depend on the specific parameter, the method will return all first level parameters; otherwise it will return all parameters that depend on the specific parameter.

  Parameters:
    `paramName` - the parameter name.
    `value` - the value of the parameter.
    `paramEngineId` - the ID of the engine which generates the parameters.
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    the parameters of this report accordingly.
  Throws:
    `RptServerException` - if an RptServerException occurs.
    `RptServerException`

### getParamInfosByValue

    java.util.Vector getParamInfosByValue(java.lang.String paramName,
                                          java.lang.String value,
                                          java.lang.String paramEngineId)
                                          throws RptServerException

  Returns the parameters of this report according to the name and the value of a specific parameter. If the value is null, it applies the default value of the specified parameter, then using the name and value it will return all parameters that depend on the specified parameter according to the values.
  If the name is null, the method will return null.

  Parameters:
    `paramName` - the parameter name.
    `value` - the value of the parameter.
    `paramEngineId` - the ID of the engine which generates the parameters.
  Returns:
    the parameters of this report accordingly.
  Throws:
    `RptServerException` - if an RptServerException occurs.
  See Also:
    `ParamInfo`

### getParamInfosByValue

    java.util.Vector getParamInfosByValue(java.lang.String paramName,
                                          java.lang.String value,
                                          java.lang.String paramEngineId,
                                          int status)
                                          throws RptServerException

  Returns the parameters of this report according to the name and the value of a specific parameter. If the value is null, it applies the default value of the specified parameter, then using the name and value it will return all parameters that depend on the specified parameter according to the values.
  If the name is null, the method will return null.

  Parameters:
    `paramName` - the parameter name.
    `value` - the value of the parameter.
    `paramEngineId` - the ID of the engine which generates the parameters.
    `status` -
  Returns:
    the parameters of this report accordingly.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getParamInfosByValue

    java.util.Vector getParamInfosByValue(java.lang.String paramName,
                                          java.lang.String[] values,
                                          java.lang.String paramEngineId,
                                          int status)
                                          throws RptServerException

  Returns the parameters of this report according to the name and the value of a specific parameter. If the values are null, it applies the default values of the specified parameter, then using the name and value it will return all parameters that depend on the specified parameter according to the values.
  If the name is null, the method will return null.

  Parameters:
    `paramName` - the parameter name.
    `values` - the values of the parameter.
    `paramEngineId` - the ID of the engine which generates the parameters.
    `status` -
  Returns:
    the parameters of this report accordingly.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### hasReportParam

    boolean hasReportParam()
                           throws RptServerException

  Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value

  Checks if the current sheet in the report has parameters.

  Returns:
    if the report has parameters.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### hasReportParam

    boolean hasReportParam(int status)
                           throws RptServerException

  checks if any sheets in a report have parameters.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    whether the sheets in the report has parameters.
  Throws:
    `RptServerException`

### getSheetParamNames

    java.util.Map getSheetParamNames(int status)
                                     throws RptServerException

  Returns all sheets and their parameters relationship Map

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    Map key:sheet name,value: Vector of the parameter name
  Throws:
    `RptServerException`

### getCurrentReportSheet

    ReportSheetInfo getCurrentReportSheet()
                                          throws RptServerException

  Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value

  Returns the current report sheet information.

  Returns:
    the current report sheet information.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getCurrentReportSheet

    ReportSheetInfo getCurrentReportSheet(int status)
                                          throws RptServerException

  Returns the current report sheet information.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    the current report sheet information.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getParamEngineId

    java.lang.String getParamEngineId()
                                      throws RptServerException

  Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value

  Returns the ID of the engine which generates parameters.

  Returns:
    the ID of the engine which generates parameters.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getParamEngineId

    java.lang.String getParamEngineId(int status)
                                      throws RptServerException

  Returns the ID of the engine which generates parameters.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    the ID of the engine which generates parameters.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### removeParamEngineById

    void removeParamEngineById(java.lang.String paramEngineId)
                               throws RptServerException

  Removes engine object according to the ID of the engine which generates parameters.

  Parameters:
    `paramEngineId` - the ID of the engine which generates parameters.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getAvailableGroupFields

    java.util.Vector getAvailableGroupFields()
                                             throws RptServerException

  Deprecated. You will not need to replace value options with available group fields when parameter is column.
  Example: You can comment the line in getRptDescPage.jsp like

                                      //Vector grpCols = rptInfo.getAvailableGroupFields();

  And you have to modify the Java code in getRptDescPage.jsp from

       <%
                              if (desc.isColumn() && grpCols != null) {
       %>
                              <select name="<%= APIConst.TAG_PARAM_PREFIX + desc.getName()%>" size="1">
       <%               int sz1 = grpCols.size();
                              for (int i1 = 0; i1 < sz1; i1++) {
                                      String s = (String)grpCols.elementAt(i1);

  to become

       <%
                              if (desc.isColumn() ) {
       %>
                              <select name="<%= APIConst.TAG_PARAM_PREFIX + desc.getName()%>" size="1">
       <%               Vector v = desc.getValueOptions(Locale.getDefault());
                              int sz1 = v.size();
                              for (int i1 = 0; i1 < sz1; i1++) {
                                      String s = (String)v.elementAt(i1);

  Returns available group fields of the report.

  Returns:
    available group fields of the report. The Vector contains available group field names.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getOrderOfParams

    java.util.Vector getOrderOfParams()
                                      throws RptServerException

  Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value

  Returns the order of the parameters of the report.

  Returns:
    the order of the parameters of the report. The Vector contains parameter names in sequence.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getOrderOfParams

    java.util.Vector getOrderOfParams(int status)
                                      throws RptServerException

  Returns the order of the parameters of the report.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    the order of the parameters of the report. The Vector contains parameter names in sequence.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getStyleGroupInfos

    java.util.Vector getStyleGroupInfos()
                                        throws RptServerException

  Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value

  Returns the style group of the report.

  Returns:
    the style group of the report. The Vector contains style group names in sequence.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getStyleGroupInfos

    java.util.Vector getStyleGroupInfos(int status)
                                        throws RptServerException

  Returns the style group of the report.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    the style group of the report. The Vector contains style group names in sequence.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getBooleanColumns

    java.util.Vector getBooleanColumns()
                                       throws RptServerException

  Returns boolean value fields of the report.

  Returns:
    boolean value fields of the report. The Vector contains boolean value field names.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getAvailableLanguages

    java.util.Vector getAvailableLanguages()
                                           throws RptServerException

  Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value

  Gets all of the Languages that the current report supports.

  Returns:
    all of the languages that the current report supports.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getAvailableLanguages

    java.util.Vector getAvailableLanguages(int status)
                                           throws RptServerException

  Gets all of the Languages that the current report supports.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    all of the languages that the current report supports.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### hasPageSecurity

    boolean hasPageSecurity()
                            throws RptServerException

  Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value

  Checks if the report has page security.

  Returns:
    if the report has page security.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### hasPageSecurity

    boolean hasPageSecurity(int status)
                            throws RptServerException

  Checks if the report has page security.

  Returns:
    if the report has page security.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### canExportDHTMLResult

    boolean canExportDHTMLResult()
                                 throws RptServerException

  Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value

  Checks if the report can export to DHTML result (.rsd result), this type of result can re-run as DHTML.

  Returns:
    true if the report can export to DHTML result.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### canExportDHTMLResult

    boolean canExportDHTMLResult(int status)
                                 throws RptServerException

  Checks if the report can export to DHTML result (.rsd result), this type of result can re-run as DHTML.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    true if the report can export to DHTML result.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getDefaultStyleGroupName

    java.lang.String getDefaultStyleGroupName()
                                              throws RptServerException

  Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value

  Gets the default style group name.

  Returns:
    the default style group name.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getDefaultStyleGroupName

    java.lang.String getDefaultStyleGroupName(int status)
                                              throws RptServerException

  Gets the default style group name.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    the default style group name.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getReportImageFiles

    java.util.Vector getReportImageFiles()
                                         throws RptServerException

  Gets the image file names of a report.

  Returns:
    the image file names.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getReportFontFiles

    java.util.Vector getReportFontFiles()
                                        throws RptServerException

  Gets the font file names of a report.

  Returns:
    the font file names.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getReportSubreports

    java.util.Vector getReportSubreports()
                                         throws RptServerException

  Gets the sub-report names of a report.

  Returns:
    the sub-report names.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getAllDataSource

    java.lang.String[] getAllDataSource()
                                        throws RptServerException

  Deprecated. Needs to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or the server will use APIConst.RPT_STATUS_ALL as default value

  Gets all data source names a report uses.

  Returns:
    all data source names.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getAllDataSource

    java.lang.String[] getAllDataSource(int status)
                                        throws RptServerException

  Gets all data source names a report uses.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL.
  Returns:
    all data source names.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### isPortletPreferred

    boolean isPortletPreferred()
                               throws RptServerException

  If the report contains only one report sheet, and the report sheet is portlet preferred.

  Returns:
    true if the report contains only one report sheet, and the report sheet is portlet preferred, otherwise return false.
  Throws:
    `RptServerException` - if an RptServerException occurs.
  Since:
    version 9

### validateParameter

    java.lang.String validateParameter(int status,
                                       java.util.Properties prop)
                                       throws RptServerException

  Checks parameters validation, if all parameters pass the validation return null, otherwise return invalidation information.

  Parameters:
    `status` - the status represents sheets of the report - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
    `prop` - the property of the task.
  Returns:
    if all parameters pass the validation return null, otherwise return invalidation information.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getQueryInfos

    java.util.Vector<CRDInfoKey> getQueryInfos()
                                               throws RptServerException

  Returns all queries which are used in the report.

  Returns:
    Vector containing all queries used in the report.
  Throws:
    `RptServerException` - if an RptServerException occurs.
  Since:
    V10
  See Also:
    `CRDInfoKey`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD